## org.apache.lucene.index
Enum IndexReader.FieldOption

    java.lang.Object
      java.lang.Enum<IndexReader.FieldOption>
          org.apache.lucene.index.IndexReader.FieldOption

All Implemented Interfaces:
  Serializable, Comparable<IndexReader.FieldOption>

Enclosing class:
  IndexReader

    public static enum IndexReader.FieldOption

extends Enum<IndexReader.FieldOption>

Constants describing field properties, for example used for `IndexReader.getFieldNames(FieldOption)`.

Enum Constant Summary
`ALL` All fields
`INDEXED` All indexed fields
`INDEXED_NO_TERMVECTOR` All fields which are indexed but don't have termvectors enabled
`INDEXED_WITH_TERMVECTOR` All fields which are indexed with termvectors enabled
`OMIT_POSITIONS` All fields that omit positions
`OMIT_TERM_FREQ_AND_POSITIONS` All fields that omit tf
`STORES_PAYLOADS` All fields that store payloads
`TERMVECTOR` All fields with termvectors enabled.
`TERMVECTOR_WITH_OFFSET` All fields with termvectors with offset values enabled
`TERMVECTOR_WITH_POSITION` All fields with termvectors with position values enabled
`TERMVECTOR_WITH_POSITION_OFFSET` All fields with termvectors with offset values and position values enabled
`UNINDEXED` All fields which are not indexed

Method Summary
`static IndexReader.FieldOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IndexReader.FieldOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final IndexReader.FieldOption ALL

  All fields

### INDEXED

    public static final IndexReader.FieldOption INDEXED

  All indexed fields

### STORES_PAYLOADS

    public static final IndexReader.FieldOption STORES_PAYLOADS

  All fields that store payloads

### OMIT_TERM_FREQ_AND_POSITIONS

    public static final IndexReader.FieldOption OMIT_TERM_FREQ_AND_POSITIONS

  All fields that omit tf

### OMIT_POSITIONS

    public static final IndexReader.FieldOption OMIT_POSITIONS

  All fields that omit positions

### UNINDEXED

    public static final IndexReader.FieldOption UNINDEXED

  All fields which are not indexed

### INDEXED_WITH_TERMVECTOR

    public static final IndexReader.FieldOption INDEXED_WITH_TERMVECTOR

  All fields which are indexed with termvectors enabled

### INDEXED_NO_TERMVECTOR

    public static final IndexReader.FieldOption INDEXED_NO_TERMVECTOR

  All fields which are indexed but don't have termvectors enabled

### TERMVECTOR

    public static final IndexReader.FieldOption TERMVECTOR

  All fields with termvectors enabled. Please note that only standard termvector fields are returned

### TERMVECTOR_WITH_POSITION

    public static final IndexReader.FieldOption TERMVECTOR_WITH_POSITION

  All fields with termvectors with position values enabled

### TERMVECTOR_WITH_OFFSET

    public static final IndexReader.FieldOption TERMVECTOR_WITH_OFFSET

  All fields with termvectors with offset values enabled

### TERMVECTOR_WITH_POSITION_OFFSET

    public static final IndexReader.FieldOption TERMVECTOR_WITH_POSITION_OFFSET

  All fields with termvectors with offset values and position values enabled

Method Detail

### values

    public static IndexReader.FieldOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IndexReader.FieldOption c : IndexReader.FieldOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IndexReader.FieldOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.